Widgets
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório
ID do novo pedido
widgetIdstringObrigatório
ID do widget
Respostas
200
OK
application/json
idstringOpcional
titlestringOpcional
typestring · enumOpcionalValores possíveis:
activebooleanOpcional
banner_idstringOpcional
orderinteger · int32Opcional
product_order_typestring · enumOpcionalValores possíveis:
product_typestring · enumOpcionalValores possíveis:
listing_rule_idstringOpcional
404
Widget was not found
application/json
500
An internal server error was thrown
application/json
get/new-orders/{newOrderId}/widgets/{widgetId}
GET /api/b2b/new-orders/{newOrderId}/widgets/{widgetId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "text",
"title": "text",
"type": "BANNER",
"active": true,
"banner_id": "text",
"order": 1,
"product_order_type": "BEST_SELLERS",
"product_type": "SUGGESTED_PRODUCT",
"listing_rule_id": "text"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório
ID do novo pedido
widgetIdstringObrigatório
ID do widget
Corpo
titlestringOpcional
typestring · enumOpcionalValores possíveis:
product_order_typestring · enumOpcionalValores possíveis:
product_typestring · enumOpcionalValores possíveis:
listing_rule_idstringOpcional
activebooleanOpcional
orderinteger · int32Opcional
banner_idstringOpcional
Respostas
200
OK
application/json
idstringOpcional
titlestringOpcional
typestring · enumOpcionalValores possíveis:
activebooleanOpcional
banner_idstringOpcional
orderinteger · int32Opcional
product_order_typestring · enumOpcionalValores possíveis:
product_typestring · enumOpcionalValores possíveis:
listing_rule_idstringOpcional
404
Widget was not found
application/json
500
An internal server error was thrown
application/json
put/new-orders/{newOrderId}/widgets/{widgetId}
PUT /api/b2b/new-orders/{newOrderId}/widgets/{widgetId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 171
{
"title": "text",
"type": "BANNER",
"product_order_type": "BEST_SELLERS",
"product_type": "SUGGESTED_PRODUCT",
"listing_rule_id": "text",
"active": true,
"order": 1,
"banner_id": "text"
}{
"id": "text",
"title": "text",
"type": "BANNER",
"active": true,
"banner_id": "text",
"order": 1,
"product_order_type": "BEST_SELLERS",
"product_type": "SUGGESTED_PRODUCT",
"listing_rule_id": "text"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório
ID do novo pedido
widgetIdstringObrigatório
ID do widget
Respostas
204
Widget deleted successfully
Sem conteúdo
404
Widget was not found
500
An internal server error was thrown
delete/new-orders/{newOrderId}/widgets/{widgetId}
DELETE /api/b2b/new-orders/{newOrderId}/widgets/{widgetId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Sem conteúdo
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório
ID do new order
Respostas
200
Widgets listed
application/json
idstringOpcional
titlestringOpcional
typestring · enumOpcionalValores possíveis:
activebooleanOpcional
banner_idstringOpcional
orderinteger · int32Opcional
product_order_typestring · enumOpcionalValores possíveis:
product_typestring · enumOpcionalValores possíveis:
listing_rule_idstringOpcional
404
New order was not found
application/json
422
A query param was invalid
application/json
500
An internal server error was thrown
application/json
get/new-orders/{newOrderId}/widgets
GET /api/b2b/new-orders/{newOrderId}/widgets HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": "text",
"title": "text",
"type": "BANNER",
"active": true,
"banner_id": "text",
"order": 1,
"product_order_type": "BEST_SELLERS",
"product_type": "SUGGESTED_PRODUCT",
"listing_rule_id": "text"
}
]Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório
ID do novo pedido
Corpo
titlestringOpcional
typestring · enumOpcionalValores possíveis:
activebooleanOpcional
banner_idstringOpcional
product_order_typestring · enumOpcionalValores possíveis:
product_typestring · enumOpcionalValores possíveis:
listing_rule_idstringOpcional
Respostas
201
Criado
application/json
idstringOpcional
titlestringOpcional
typestring · enumOpcionalValores possíveis:
activebooleanOpcional
banner_idstringOpcional
orderinteger · int32Opcional
product_order_typestring · enumOpcionalValores possíveis:
product_typestring · enumOpcionalValores possíveis:
listing_rule_idstringOpcional
404
Widget was not found
application/json
422
A validation error was thrown
application/json
500
An internal server error was thrown
application/json
post/new-orders/{newOrderId}/widgets
POST /api/b2b/new-orders/{newOrderId}/widgets HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 161
{
"title": "text",
"type": "BANNER",
"active": true,
"banner_id": "text",
"product_order_type": "BEST_SELLERS",
"product_type": "SUGGESTED_PRODUCT",
"listing_rule_id": "text"
}{
"id": "text",
"title": "text",
"type": "BANNER",
"active": true,
"banner_id": "text",
"order": 1,
"product_order_type": "BEST_SELLERS",
"product_type": "SUGGESTED_PRODUCT",
"listing_rule_id": "text"
}